#include <wx/wx.h>

#include <Gui/ParamGUI.hh>
#include <Gui/StringConv.hh>
#include <Utils/Param.hh>
#include <iostream>

using namespace BIAS;
using namespace std;

// classes

class MyApp : public wxApp 
{
 public:
    virtual bool OnInit();
};

DECLARE_APP(MyApp)

// implementation

IMPLEMENT_APP(MyApp) 

bool MyApp::OnInit() 
{ 
  ParamGUI param_;
  param_.AddParamInt("SampleInt1","Hilfetext zu SampleInt1",0,-100,100,0,1);
  param_.AddParamInt("SampleInt2","Hilfetext zu SampleInt2");
  param_.AddParamBool("SampleBool1","Hilfetext zu SampleBool1",false,0,1);
  param_.AddParamBool("SampleBool2","Hilfetext zu SampleBool2");
  param_.AddParamDouble("SampleDouble1","Hilfetext zu SampleDouble1");
  param_.AddParamString("SampleString1","Hilfetext zu SampleString1");

  param_.ParseCommandLine(wxTheApp->argc,WxToAsciiArray(wxTheApp->argv,wxTheApp->argc));

  wxFrame *frame = param_.GetFrame(NULL);
  frame->Show(TRUE); 
  SetTopWindow(frame);
  return true;
}

