#include "ExifTag.hh"

using namespace std;
using namespace BIAS;

std::ostream& ExifTag::Print(std::ostream& os) const
{    
  if (value!=""){
    os<<"ExifTag id="<<id<<", \tname="<<name<<" \tvalue="<<value;
  } else {
    os<<"ExifTag id="<<id<<", \tname="<<name<<" \tvalue -EMPTY- ";
  };
  return os;
}

bool ExifTag::GoodValue(const std::string &val) const 
{
  return (!(
	    (val=="")
	    ||(val==".")
	    ||(val=="unknown")
	    ));
}

std::ostream& operator<<(std::ostream& os, 
			 const BIAS::ExifTag &tag)
{
  //os<<"ExifTag id="<<tag.id<<", \tname="<<tag.name<<" \tvalue="<<tag.value;
  return tag.Print(os);
}
