
// Jan Woetzel

#ifndef _RGB_hh_
#define _RGB_hh_
#include "bias_config.h" 


#include <Base/Math/Vector3.hh>

namespace BIAS {
	/** @class RGBuc 
	@ingroup g_math
	@brief class RGBuc is asynonym for a Vector3 of correct type 
	@author Jan Woetzel	**/
	typedef BIAS::Vector3<unsigned char> RGBuc;

	/** @class RGBf 
	@ingroup g_math
	@brief class RGBAf is asynonym for a Vector3 of correct type
	@author Jan Woetzel	**/
	typedef BIAS::Vector3<float> RGBf;

	/** @class RGBd 
	@ingroup g_math
	@brief class RGBAd is asynonym for a Vector of coorect type
	@author Jan Woetzel	**/
	typedef BIAS::Vector3<double> RGBd;

} // namespace BIAS
#endif

